Julien Bigot | 10 Mar 11:10 2008

Bug#470253: ghostscript: ps2pdf fails to find gs_init.ps

Package: ghostscript
Version: 8.62.dfsg.1-1
Severity: grave
Justification: renders package unusable

when trying to use ps2pdf or gs, I get the following error :
GPL Ghostscript 8.61: Can't find initialization file gs_init.ps.

This file is installed :
$ dpkg -L ghostscript | grep gs_init.ps
/usr/share/ghostscript/8.62/lib/gs_init.ps

but gs doesn't look in this place :
$ strace gs myfile.ps 2>&1 | grep gs_init.ps
open("gs_init.ps", O_RDONLY)            = -1 ENOENT (No such file or directory)
open("./gs_init.ps", O_RDONLY)          = -1 ENOENT (No such file or directory)
open("/home/jbigot/.fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/ghostscript/8.61/lib/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/ghostscript/8.61/Resource/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/ghostscript/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/var/lib/defoma/gs.d/dirs/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/cups/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/ghostscript/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/local/lib/ghostscript/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/fonts/type1/gsfonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
write(2, "Can\'t find initialization file g"..., 43Can't find initialization file gs_init.ps.

I tryed to link gs_init.ps in ~/.fonts/ but then got another error :
gs: Interpreter revision (861) does not match gs_init.ps revision (862).

Installed version of ghostscript is :
ii  ghostscript                                 8.62.dfsg.1-1

Please let me know if I can provide more informations.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ghostscript depends on:
ii  debconf [debc 1.5.19                     Debian configuration management sy
ii  debianutils   2.28.4                     Miscellaneous utilities specific t
ii  defoma        0.11.10-0.2                Debian Font Manager -- automatic f
ii  gsfonts       1:8.11+urwcyr1.0.7~pre43-2 Fonts for the Ghostscript interpre
ii  libc6         2.7-9                      GNU C Library: Shared libraries
ii  libgs8        8.61.dfsg.1-1.1            The Ghostscript PostScript/PDF int

Versions of packages ghostscript recommends:
ii  psfontmgr                    0.11.10-0.2 PostScript font manager -- part of

-- no debconf information


Gmane